## optee-client 3.18.0

=== debian/changelog ===
optee-client (3.18.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 23 Jul 2022 16:23:00 +0200

optee-client (3.17.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 19 Apr 2022 15:27:27 +0800
