## optee-client 3.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,4 +37,7 @@
 add_subdirectory (tee-supplicant)
 add_subdirectory (public)
 add_subdirectory (libckteec)
+find_package (PkgConfig REQUIRED)
+pkg_check_modules(uuid REQUIRED IMPORTED_TARGET uuid)
+add_subdirectory (libteeacl)
 add_subdirectory (libseteec)
