=== Makefile ===
--- 
+++ 
@@ -16,8 +16,9 @@
 LIBDIR ?= /usr/lib
 INCLUDEDIR ?= /usr/include
 
-.PHONY: all build build-libteec build-libckteec build-libseteec install copy_export \
-	clean cscope clean-cscope \
+.PHONY: all build build-libteec build-libckteec build-libseteec \
+	build-libteeacl check-libuuid install copy_export clean cscope \
+	clean-cscope \
 	checkpatch-pre-req checkpatch-modified-patch checkpatch-modified-file \
 	checkpatch-last-commit-patch checkpatch-last-commit-file \
 	checkpatch-base-commit-patch checkpatch-base-commit-file \
@@ -34,7 +35,8 @@
 	@echo "Building tee-supplicant"
 	$(MAKE) --directory=tee-supplicant  --no-print-directory --no-builtin-variables CFG_TEE_SUPP_LOG_LEVEL=$(CFG_TEE_SUPP_LOG_LEVEL)
 
-build: build-libteec build-tee-supplicant build-libckteec build-libseteec
+build: build-libteec build-tee-supplicant build-libckteec build-libseteec \
+	build-libteeacl
 
 build-libckteec: build-libteec
 	@echo "Building libckteec.so"
@@ -44,9 +46,18 @@
 	@echo "Building libseteec.so"
 	@$(MAKE) --directory=libseteec --no-print-directory --no-builtin-variables
 
+build-libteeacl: check-libuuid
+	@echo "Building libteeacl.so"
+	@$(MAKE) --directory=libteeacl --no-print-directory --no-builtin-variables
+
+check-libuuid:
+	@echo "Finding uuid.pc"
+	pkg-config --atleast-version=2.34 uuid
+
 install: copy_export
 
-clean: clean-libteec clean-tee-supplicant clean-cscope clean-libckteec clean-libseteec
+clean: clean-libteec clean-tee-supplicant clean-cscope clean-libckteec \
+	clean-libseteec clean-libteeacl
 
 clean-libteec:
 	@$(MAKE) --directory=libteec --no-print-directory clean
@@ -59,6 +70,9 @@
 
 clean-libseteec:
 	@$(MAKE) --directory=libseteec --no-print-directory clean
+
+clean-libteeacl:
+	@$(MAKE) --directory=libteeacl --no-print-directory clean
 
 cscope:
 	@echo "  CSCOPE"
@@ -137,13 +151,16 @@
 copy_export: build
 	mkdir -p $(DESTDIR)$(SBINDIR) $(DESTDIR)$(LIBDIR) $(DESTDIR)$(INCLUDEDIR)
 	cp config.mk $(DESTDIR)/$(INCLUDEDIR)/optee_client_config.mk
-	cp -a ${O}/libteec/libteec.so* $(DESTDIR)$(LIBDIR)
-	cp -a ${O}/libteec/libteec.a $(DESTDIR)$(LIBDIR)
+	cp -d ${O}/libteec/libteec.so* $(DESTDIR)$(LIBDIR)
+	cp -d ${O}/libteec/libteec.a $(DESTDIR)$(LIBDIR)
 	cp ${O}/tee-supplicant/tee-supplicant $(DESTDIR)$(SBINDIR)
 	cp public/*.h $(DESTDIR)$(INCLUDEDIR)
 	cp libckteec/include/*.h $(DESTDIR)$(INCLUDEDIR)
-	cp -a ${O}/libckteec/libckteec.so* $(DESTDIR)$(LIBDIR)
-	cp -a ${O}/libckteec/libckteec.a $(DESTDIR)$(LIBDIR)
+	cp -d ${O}/libckteec/libckteec.so* $(DESTDIR)$(LIBDIR)
+	cp -d ${O}/libckteec/libckteec.a $(DESTDIR)$(LIBDIR)
+	cp libteeacl/include/*.h $(DESTDIR)$(INCLUDEDIR)
+	cp -d ${O}/libteeacl/libteeacl.so* $(DESTDIR)$(LIBDIR)
+	cp -d ${O}/libteeacl/libteeacl.a $(DESTDIR)$(LIBDIR)
 	cp libseteec/include/*.h $(DESTDIR)$(INCLUDEDIR)
-	cp -a ${O}/libseteec/libseteec.so* $(DESTDIR)$(LIBDIR)
-	cp -a ${O}/libseteec/libseteec.a $(DESTDIR)$(LIBDIR)
+	cp -d ${O}/libseteec/libseteec.so* $(DESTDIR)$(LIBDIR)
+	cp -d ${O}/libseteec/libseteec.a $(DESTDIR)$(LIBDIR)
