=== debian/changelog ===
optee-client (3.19.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 18 Oct 2022 20:08:19 +0800
