=== debian/control ===
--- 
+++ 
@@ -1,7 +1,12 @@
 Source: optee-client
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper-compat (= 12), docbook-xsl, xsltproc
+Build-Depends: debhelper-compat (= 12),
+               docbook-xml,
+               docbook-xsl,
+               pkg-config,
+               uuid-dev,
+               xsltproc
 Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/OP-TEE/optee_client
