## optee-client 3.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,8 @@
 # https://cmake.org/Wiki/CMake_Useful_Variables
 set (CMAKE_TOOLCHAIN_FILE CMakeToolchain.txt)
 
-set (CFG_WERROR 1 CACHE BOOL "Build with -Werror")
+option (CFG_WERROR "Build with -Werror" TRUE)
+option (WITH_TEEACL "Build libteeacl" TRUE)
 
 include(GNUInstallDirs)
 
@@ -20,9 +21,13 @@
 	-Wmissing-format-attribute -Wmissing-include-dirs
 	-Wmissing-noreturn -Wmissing-prototypes -Wnested-externs
 	-Wpointer-arith -Wshadow -Wstrict-prototypes
-	-Wswitch-default -Wunsafe-loop-optimizations
-	-Wwrite-strings -fPIC
+	-Wswitch-default -Wwrite-strings -fPIC
 )
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
+    add_compile_options(
+        -Wunsafe-loop-optimizations
+    )
+endif()
 if(CFG_WERROR)
     add_compile_options(-Werror)
 endif(CFG_WERROR)
@@ -37,7 +42,9 @@
 add_subdirectory (tee-supplicant)
 add_subdirectory (public)
 add_subdirectory (libckteec)
-find_package (PkgConfig REQUIRED)
-pkg_check_modules(uuid REQUIRED IMPORTED_TARGET uuid)
-add_subdirectory (libteeacl)
+if(WITH_TEEACL)
+    find_package (PkgConfig REQUIRED)
+    pkg_check_modules(uuid REQUIRED IMPORTED_TARGET uuid)
+    add_subdirectory (libteeacl)
+endif(WITH_TEEACL)
 add_subdirectory (libseteec)
