=== libteec/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,9 @@
 # Built library
 ################################################################################
 add_library (teec ${SRC})
+
+set(libteectgt teec)
+configure_file(libteec.pc.in libteec.pc @ONLY)
 
 set_target_properties (teec PROPERTIES
 	VERSION ${PROJECT_VERSION}
