=== debian/changelog ===
optee-client (3.21.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 26 Jun 2023 04:11:50 +0800

optee-client (3.20.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 23 Jun 2023 02:01:10 +0800
