=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Multi-Arch: same
 Depends: libckteec0 (= ${binary:Version}),
          libseteec0 (= ${binary:Version}),
+         libteeacl0.1.0 (= ${binary:Version}),
          libteec1 (= ${binary:Version}),
          ${misc:Depends}
 Description: normal world user space client APIs for OP-TEE (development)
@@ -29,6 +30,20 @@
  Client API library.
  .
  This package contains the development files OpTEE Client API
+
+Package: libteeacl0.1.0
+Architecture: arm64 armhf
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: normal world user space client APIs for OP-TEE
+ OP-TEE is a Trusted Execution Environment (TEE) designed as companion to a
+ non-secure Linux kernel running on Arm; Cortex-A cores using the TrustZone
+ technology. OP-TEE implements TEE Internal Core API v1.1.x which is the API
+ exposed to Trusted Applications and the TEE Client API v1.0, which is the
+ API describing how to communicate with a TEE. This package provides the TEE
+ Client API library.
+ .
+ This package contains libteeacl library.
 
 Package: libteec1
 Architecture: arm64 armhf
